Index: TOOLS/WATER_BUDGET/CPL_waterbudget.py
===================================================================
--- TOOLS/WATER_BUDGET/CPL_waterbudget.py	(revision 6446)
+++ TOOLS/WATER_BUDGET/CPL_waterbudget.py	(revision 6508)
@@ -298,109 +398,132 @@
     #ndomain_opa = d_zfile.attrs['DOMAIN_number_total']
     #d_zfile.close ()
-    ndomain_opa = subprocess.getoutput ( f'ls {zfile}_*.nc | wc -l' ).format()
+    ndomain_opa = subprocess.getoutput ( f'ls {zfile}_*.nc | wc -l' ) #.format()
     return int (ndomain_opa)
 
-
-if not os.path.exists ( os.path.join (TmpDir, file_OCE_beg) ) :
-    if not os.path.exists ( os.path.join (TmpDirOCE, f'OCE_{JobName}_{YearRes}1231_restart_0000.nc') ):
-        command =  f'cd {TmpDirOCE} ; tar xf {file_restart_beg}  OCE_{JobName}_{YearRes}1231_restart_*.nc'
+def extract_and_rebuild ( file_name=file_OCE_beg, tar_restart=tar_restart_end, RunDirComp=RunDirOCE ) :
+    '''Extract restart file from tar. Rebuild ocean files if needed'''
+    echo ( f'file to extract : {file_name} ' )
+    if os.path.exists ( file_name ) :
+        echo ( f'-- File ready : {file_name}' )
+    else : 
+        echo ( f'-- Extracting {file_name}' )
+        base_resFile = Path (file_name).stem # basename, and remove suffix
+        # Try to extract the rebuilded file
+        command =  f'cd {RunDirComp} ; tar xf {tar_restart} {base_resFile}.nc'
         echo ( command )
-        os.system ( command )
-    ndomain_opa = get_ndomain ( os.path.join (TmpDirOCE, f'OCE_{JobName}_{YearRes}1231_restart') )
-    command = f'cd {TmpDirOCE} ; {rebuild} OCE_{JobName}_{YearRes}1231_restart {ndomain_opa} ; mv {file_OCE_beg} {TmpDir}'
-    echo ( command )
-    os.system ( command )
-    echo ( f'Rebuild done : {file_OCE_beg}')
-    
-if not os.path.exists ( os.path.join (TmpDir, file_OCE_end) ) :
-    if not os.path.exists ( os.path.join (TmpDirOCE, f'OCE_{JobName}_{YearEnd}1231_restart_0000.nc') ):
-        command =  f'cd {TmpDirOCE} ; tar xf {file_restart_end}  OCE_{JobName}_{YearEnd}1231_restart_*.nc'
-        echo ( command )
-        os.system ( command )
-    ndomain_opa = get_ndomain ( os.path.join (TmpDirOCE, f'OCE_{JobName}_{YearEnd}1231_restart') )
-    command = f'cd {TmpDirOCE} ; {rebuild} OCE_{JobName}_{YearEnd}1231_restart {ndomain_opa} ; mv {file_OCE_end} {TmpDir}'
-    echo ( command )
-    os.system ( command )
-    echo ( f'Rebuild done : {file_OCE_end}')
-
-if not os.path.exists ( os.path.join (TmpDir, file_ICE_beg) ) :
-    if not os.path.exists ( os.path.join (TmpDirICE, f'ICE_{JobName}_{YearRes}1231_restart_icemod') ):
-        command =  f'cd {TmpDirICE} ; tar xf {file_restart_beg}  ICE_{JobName}_{YearRes}1231_restart_icemod_*.nc'
-        echo ( command )
-        os.system ( command )
-    ndomain_opa = get_ndomain ( os.path.join (TmpDirICE, f'ICE_{JobName}_{YearRes}1231_restart_icemod') )
-    command = f'cd {TmpDirICE} ; {rebuild} ICE_{JobName}_{YearRes}1231_restart_icemod {ndomain_opa} ; mv {file_ICE_beg} {TmpDir} '
-    echo ( command )
-    os.system ( command )
-    echo ( f'Rebuild done : {file_OCE_beg}')
-    
-if not os.path.exists ( os.path.join (TmpDir, file_ICE_end) ) :
-    if not os.path.exists ( os.path.join (TmpDirICE, f'ICE_{JobName}_{YearEnd}1231_restart_icemod') ):
-        command =  f'cd {TmpDirICE} ; tar xf {file_restart_end} ICE_{JobName}_{YearEnd}1231_restart_icemod_*.nc'
-        echo ( command )
-        os.system ( command )
-    ndomain_opa = get_ndomain ( os.path.join (TmpDirICE, f'ICE_{JobName}_{YearRes}1231_restart_icemod') )
-    command = f'cd {TmpDirICE} ; {rebuild} ICE_{JobName}_{YearEnd}1231_restart_icemod {ndomain_opa} ; mv {file_ICE_end} {TmpDir}'
-    echo ( command )
-    os.system ( command )
-    echo ( f'Rebuild done : {file_ICE_end}')
+        ierr = os.system ( command )
+        if ierr == 0 :
+            echo ( f'tar done : {base_resFile}')
+            command = f'cd {RunDirComp} ; mv {base_resFile}.nc {RunDir}'
+            ierr = os.system ( command )
+            if ierr == 0 : echo ( f'command done : {command}' )
+            else         : raise Exception ( f'command failed : {command}' )
+        else :
+            if not os.path.exists ( os.path.join (RunDir, f'{base_resFile}_0000.nc') ):
+                command =  f'cd {RunDirComp} ; tar xf {tar_restart_end} {base_resFile}_*.nc'
+                echo ( command )
+                ierr = os.system ( command )
+                if ierr == 0 : echo ( f'tar done : {file_OCE_beg}')
+                else         : raise Exception ( f'command failed : {command}' )
+                echo ('extract ndomain' )
+            ndomain_opa = get_ndomain ( os.path.join (RunDir, f'{base_resFile}') )
+            command = f'cd {RunDirComp} ; {rebuild} {base_resFile} {ndomain_opa} ; mv {base_resFile}.nc {RunDir}'
+            echo ( command )
+            ierr = os.system ( command )
+            if ierr == 0 : echo ( f'Rebuild done : {base_resFile}.nc')
+            else         : raise Exception ( f'command failed : {command}' )
+
+extract_and_rebuild ( file_name=file_OCE_beg, tar_restart=tar_restart_beg, RunDirComp=RunDirOCE )
+extract_and_rebuild ( file_name=file_OCE_end, tar_restart=tar_restart_end, RunDirComp=RunDirOCE )
+extract_and_rebuild ( file_name=file_ICE_beg, tar_restart=tar_restart_beg, RunDirComp=RunDirICE )
+extract_and_rebuild ( file_name=file_ICE_end, tar_restart=tar_restart_end, RunDirComp=RunDirICE )
 
 echo ('Opening OCE and ICE restart files')
 if NEMO == 3.6 : 
-    d_OCE_beg = xr.open_dataset ( os.path.join (TmpDir, file_OCE_beg), decode_times=False, decode_cf=True, drop_variables=['y', 'x']).squeeze()
-    d_OCE_end = xr.open_dataset ( os.path.join (TmpDir, file_OCE_end), decode_times=False, decode_cf=True).squeeze()
-    d_ICE_beg = xr.open_dataset ( os.path.join (TmpDir, file_ICE_beg), decode_times=False, decode_cf=True).squeeze()
-    d_ICE_end = xr.open_dataset ( os.path.join (TmpDir, file_ICE_end), decode_times=False, decode_cf=True).squeeze()
+    d_OCE_beg = xr.open_dataset ( os.path.join (RunDir, file_OCE_beg), decode_times=False, decode_cf=True, drop_variables=['y', 'x']).squeeze()
+    d_OCE_end = xr.open_dataset ( os.path.join (RunDir, file_OCE_end), decode_times=False, decode_cf=True).squeeze()
+    d_ICE_beg = xr.open_dataset ( os.path.join (RunDir, file_ICE_beg), decode_times=False, decode_cf=True).squeeze()
+    d_ICE_end = xr.open_dataset ( os.path.join (RunDir, file_ICE_end), decode_times=False, decode_cf=True).squeeze()
 if NEMO == 4.0 or NEMO == 4.2 : 
-    d_OCE_beg = xr.open_dataset ( os.path.join (TmpDir, file_OCE_beg), decode_times=False, decode_cf=True, drop_variables=['y', 'x']).squeeze()
-    d_OCE_end = xr.open_dataset ( os.path.join (TmpDir, file_OCE_end), decode_times=False, decode_cf=True, drop_variables=['y', 'x']).squeeze()
-    d_ICE_beg = xr.open_dataset ( os.path.join (TmpDir, file_ICE_beg), decode_times=False, decode_cf=True, drop_variables=['y', 'x']).squeeze()
-    d_ICE_end = xr.open_dataset ( os.path.join (TmpDir, file_ICE_end), decode_times=False, decode_cf=True, drop_variables=['y', 'x']).squeeze()
-    
-echo ( file_ATM_beg )
-echo ( file_ATM_end )
-echo ( file_DYN_beg )
-echo ( file_DYN_end )
-echo ( file_SRF_beg )
-echo ( file_SRF_end )
-if Routing == 'SIMPLE' :
-    echo ( file_RUN_beg )
-    echo ( file_RUN_end )
-echo ( file_OCE_beg )
-echo ( file_OCE_end )
-echo ( file_ICE_beg )
-echo ( file_ICE_end )
-
-def ATM_stock_int (stock) :
-    '''Integrate stock on atmosphere grid'''
-    ATM_stock_int  = np.sum (  np.sort ( (stock * DYN_aire).to_masked_array().ravel()) )
-    return ATM_stock_int
-
-def OCE_stock_int (stock) :
-    '''Integrate stock on ocean grid'''
-    OCE_stock_int  = np.sum (  np.sort ( (stock * OCE_aire).to_masked_array().ravel()) )
-    return OCE_stock_int
-
-def ONE_stock_int (stock) : 
-    '''Sum stock for field already integrated by cell'''
-    ONE_stock_int  = np.sum (  np.sort ( (stock).to_masked_array().ravel()) )
-    return ONE_stock_int
-
-# ATM grid with cell surfaces
+    d_OCE_beg = xr.open_dataset ( os.path.join (RunDir, file_OCE_beg), decode_times=False, decode_cf=True, drop_variables=['y', 'x']).squeeze()
+    d_OCE_end = xr.open_dataset ( os.path.join (RunDir, file_OCE_end), decode_times=False, decode_cf=True, drop_variables=['y', 'x']).squeeze()
+    d_ICE_beg = xr.open_dataset ( os.path.join (RunDir, file_ICE_beg), decode_times=False, decode_cf=True, drop_variables=['y', 'x']).squeeze()
+    d_ICE_end = xr.open_dataset ( os.path.join (RunDir, file_ICE_end), decode_times=False, decode_cf=True, drop_variables=['y', 'x']).squeeze()
+
+## Write the full configuration
+config_out = open (FullIniFile, 'w')
+config.write (config_out )
+config_out.close ()
+
+for var in d_SRF_beg.variables :
+    d_SRF_beg[var] = d_SRF_beg[var].where (  d_SRF_beg[var]<1.e20, 0.)
+    d_SRF_end[var] = d_SRF_end[var].where (  d_SRF_end[var]<1.e20, 0.)
+
+if ICO :
+    d_RUN_beg = xr.open_dataset ( os.path.join (RunDir, file_RUN_beg), decode_times=False, decode_cf=True).squeeze()
+    d_RUN_end = xr.open_dataset ( os.path.join (RunDir, file_RUN_end), decode_times=False, decode_cf=True).squeeze()
+
+def kg2Sv  (val, rho=OCE_rho_liq) :
+    '''From kg to Sverdrup'''
+    return val/dtime_sec*1.0e-6/rho
+
+def kg2myear (val, rho=OCE_rho_liq) :
+    '''From kg to m/year'''
+    return val/OCE_aire_tot/rho/NbYear
+
+def var2prt (var, small=False) :
+    if small :  return var , kg2Sv(var)*1000., kg2myear(var)*1000.
+    else     :  return var , kg2Sv(var)      , kg2myear(var)
+
+def prtFlux (Desc, var, Form='F', small=False) :
+    if small :
+        if Form in ['f', 'F'] : ff=" {:12.4e} kg | {:12.4f} mSv | {:12.4f} mm/year "
+        if Form in ['e', 'E'] : ff=" {:12.4e} kg | {:12.4e} mSv | {:12.4e} mm/year "
+    else :
+        if Form in ['f', 'F'] : ff=" {:12.4e} kg | {:12.4f} Sv  | {:12.4f} m/year  "
+        if Form in ['e', 'E'] : ff=" {:12.4e} kg | {:12.4e} Sv  | {:12.4e} m/year  "
+    echo ( (' {:>15} = ' +ff).format (Desc, *var2prt(var, small) ) )
+    return None
+
+
+
 # ATM grid with cell surfaces
 if ICO :
-    jpja, jpia = d_ATM_his['aire'][0].shape   
-    file_ATM_aire = os.path.join ( R_IN, 'ATM', 'GRID', f'aire_{ATM}_to_{jpia}x{jpja}.nc' )
-    d_ATM_aire = xr.open_dataset ( file_ATM_aire, decode_times=False ).squeeze()
-    ATM_aire = lmdz.geo2point ( d_ATM_aire ['aire'].squeeze(), cumulPoles=True )
-    ATM_fsea = lmdz.geo2point ( d_ATM_his ['fract_oce'][0] + d_ATM_his ['fract_sic'][0] )
-    ATM_flnd = lmdz.geo2point ( d_ATM_his ['fract_ter'][0] + d_ATM_his ['fract_lic'][0] )
-    SRF_aire = lmdz.geo2point ( d_SRF_his ['Areas'] * d_SRF_his ['Contfrac'] )
-    
+    if ATM_HIS == 'latlon' :
+        jpja, jpia = d_ATM_his['aire'][0].shape   
+        file_ATM_aire = os.path.join ( R_IN, 'ATM', 'GRID', f'aire_{ATM}_to_{jpia}x{jpja}.nc' )
+        config['Files']['file_ATM_aire'] = file_ATM_aire
+        echo ( f'Aire sur grille reguliere : {file_ATM_aire = }' )
+        d_ATM_aire = xr.open_dataset ( file_ATM_aire, decode_times=False ).squeeze()
+        ATM_aire = lmdz.geo2point ( d_ATM_aire ['aire'].squeeze(), cumulPoles=True )
+        ATM_fter = lmdz.geo2point ( d_ATM_his ['fract_ter'][0] )
+        ATM_foce = lmdz.geo2point ( d_ATM_his ['fract_oce'][0] )
+        ATM_fsic = lmdz.geo2point ( d_ATM_his ['fract_sic'][0] )
+        ATM_flic = lmdz.geo2point ( d_ATM_his ['fract_lic'][0] )
+        SRF_aire = lmdz.geo2point ( d_SRF_his ['Areas'] * d_SRF_his ['Contfrac'] )
+        #SRF_aire = ATM_aire * lmdz.geo2point (d_SRF_his ['Contfrac'] )
+        #SRF_aire = ATM_aire * ATM_fter
+    if ATM_HIS == 'ico' :
+        echo ( f'Aire sur grille icosaedre : {file_ATM_aire = }' )
+        
 if LMDZ :
     ATM_aire = lmdz.geo2point ( d_ATM_his ['aire'][0], cumulPoles=True )
-    ATM_fsea = lmdz.geo2point ( d_ATM_his ['fract_oce'][0] + d_ATM_his ['fract_sic'][0] )
-    ATM_flnd = lmdz.geo2point ( d_ATM_his ['fract_ter'][0]  )
-    SRF_aire = lmdz.geo2point ( d_SRF_his ['Areas'] * d_SRF_his ['Contfrac'] )
+    ATM_fter = lmdz.geo2point ( d_ATM_his ['fract_ter'][0] )
+    ATM_foce = lmdz.geo2point ( d_ATM_his ['fract_oce'][0] )
+    ATM_fsic = lmdz.geo2point ( d_ATM_his ['fract_sic'][0] )
+    ATM_flic = lmdz.geo2point ( d_ATM_his ['fract_lic'][0] )
+    #SRF_aire = lmdz.geo2point ( d_SRF_his['Areas'] * d_SRF_his['Contfrac'] )
+    SRF_aire = ATM_aire * lmdz.geo2point ( d_SRF_his['Contfrac'] )
+    
+ATM_fsea      = ATM_foce + ATM_fsic
+ATM_flnd      = ATM_fter + ATM_flic
+ATM_aire_fter = ATM_aire * ATM_fter
+ATM_aire_flic = ATM_aire * ATM_flic
+ATM_aire_fsic = ATM_aire * ATM_fsic
+ATM_aire_foce = ATM_aire * ATM_foce
+ATM_aire_flnd = ATM_aire * ATM_flnd
+ATM_aire_fsea = ATM_aire * ATM_fsea
+
+SRF_aire = SRF_aire.where ( SRF_aire < 1E15, 0.)
 
 if ICO :
@@ -415,8 +538,51 @@
     
 if LMDZ :
+    # Area on lon/lat grid
     DYN_aire = ATM_aire
     DYN_fsea = ATM_fsea
     DYN_flnd = ATM_flnd
-
+    DYN_fter = d_ATM_beg['FTER']
+    DYN_flic = d_ATM_beg['FTER']
+
+def ATM_stock_int (stock) :
+    '''Integrate (* surface) stock on atmosphere grid'''
+    ATM_stock_int  = wu.Psum ( (stock * DYN_aire).to_masked_array().ravel() ) 
+    return ATM_stock_int
+
+def ATM_flux_int (flux) :
+    '''Integrate (* time * surface) flux on atmosphere grid'''
+    ATM_flux_int  = wu.Psum ( (flux * dtime_per_sec * ATM_aire).to_masked_array().ravel() )
+    return ATM_flux_int
+
+def SRF_stock_int (stock) :
+    '''Integrate (* surface) stock on land grid'''
+    ATM_stock_int  = wu.Ksum (  ( (stock * DYN_aire_fter).to_masked_array().ravel()) )
+    return ATM_stock_int
+
+def SRF_flux_int (flux) :
+    '''Integrate (* time * surface) flux on land grid'''
+    SRF_flux_int  = wu.Psum (  (flux * dtime_per_sec * SRF_aire).to_masked_array().ravel() )
+    return SRF_flux_int
+
+def OCE_stock_int (stock) :
+    '''Integrate stock on ocean grid'''
+    OCE_stock_int = np.sum (  np.sort ( (stock * OCE_aire ).to_masked_array().ravel()) )
+    return OCE_stock_int
+
+def ONE_stock_int (stock) :
+    '''Sum stock'''
+    ONE_stock_int = np.sum (  np.sort ( (stock ).to_masked_array().ravel()) )
+    return ONE_stock_int
+
+def OCE_flux_int (flux) :
+    '''Integrate flux on oce grid'''
+    OCE_flux_int = np.sum (  np.sort ( (flux * OCE_aire * dtime_per_sec).to_masked_array().ravel()) )
+    return OCE_flux_int
+
+def ONE_flux_int (flux) :
+    '''Integrate flux on oce grid'''
+    OCE_flux_int = np.sum (  np.sort ( (flux * dtime_per_sec).to_masked_array().ravel()) )
+    return OCE_flux_int
+    
 #if LMDZ :
 #    d_ATM_beg = d_ATM_beg.assign ( coords={'lon':d_ATM_beg.lon*180./np.pi} )
@@ -440,5 +606,5 @@
 ATM_aire_sea_tot = ONE_stock_int ( ATM_aire_sea )
 
-echo ( '\n------------------------------------------------------------------------------------' )
+echo ( '\n====================================================================================' )
 echo ( '-- NEMO change in stores (for the records)' )
 #-- Note that the total number of days of the run should be diagnosed rather than assumed
@@ -522,17 +688,17 @@
     dSEA_mas_wat = dOCE_mas_wat + dICE_mas_wat
 
-echo ( 'ICE_vol_ice_beg = {:12.6e} m^3 | ICE_vol_ice_end = {:12.6e} m^3'.format (ICE_vol_ice_beg, ICE_vol_ice_end) )
-echo ( 'ICE_vol_sno_beg = {:12.6e} m^3 | ICE_vol_sno_end = {:12.6e} m^3'.format (ICE_vol_sno_beg, ICE_vol_sno_end) )
-echo ( 'ICE_vol_pnd_beg = {:12.6e} m^3 | ICE_vol_pnd_end = {:12.6e} m^3'.format (ICE_vol_pnd_beg, ICE_vol_pnd_end) )
-echo ( 'ICE_vol_fzl_beg = {:12.6e} m^3 | ICE_vol_fzl_end = {:12.6e} m^3'.format (ICE_vol_fzl_beg, ICE_vol_fzl_end) )
-
-echo ( 'dICE_vol_ice   = {:12.3e} m^3'.format (dICE_vol_ice) )
-echo ( 'dICE_vol_sno   = {:12.3e} m^3'.format (dICE_vol_sno) )
-echo ( 'dICE_vol_pnd   = {:12.3e} m^3'.format (dICE_vol_pnd) )
-echo ( 'dICE_mas_ice   = {:12.3e} m^3'.format (dICE_mas_ice) )
-echo ( 'dICE_mas_sno   = {:12.3e} m^3'.format (dICE_mas_sno) )  
-echo ( 'dICE_mas_pnd   = {:12.3e} m^3'.format (dICE_mas_pnd) )  
-echo ( 'dICE_mas_fzl   = {:12.3e} m^3'.format (dICE_mas_fzl) )  
-echo ( 'dICE_mas_wat   = {:12.3e} m^3'.format (dICE_mas_wat) ) 
+echo ( f'ICE_vol_ice_beg = {ICE_vol_ice_beg:12.6e} m^3 | ICE_vol_ice_end = {ICE_vol_ice_end:12.6e} m^3' )
+echo ( f'ICE_vol_sno_beg = {ICE_vol_sno_beg:12.6e} m^3 | ICE_vol_sno_end = {ICE_vol_sno_end:12.6e} m^3' )
+echo ( f'ICE_vol_pnd_beg = {ICE_vol_pnd_beg:12.6e} m^3 | ICE_vol_pnd_end = {ICE_vol_pnd_end:12.6e} m^3' )
+echo ( f'ICE_vol_fzl_beg = {ICE_vol_fzl_beg:12.6e} m^3 | ICE_vol_fzl_end = {ICE_vol_fzl_end:12.6e} m^3' )
+
+echo ( f'dICE_vol_ice   = {dICE_vol_ice:12.3e} m^3' )
+echo ( f'dICE_vol_sno   = {dICE_vol_sno:12.3e} m^3' )
+echo ( f'dICE_vol_pnd   = {dICE_vol_pnd:12.3e} m^3' )
+echo ( f'dICE_mas_ice   = {dICE_mas_ice:12.3e} m^3' )
+echo ( f'dICE_mas_sno   = {dICE_mas_sno:12.3e} m^3' )  
+echo ( f'dICE_mas_pnd   = {dICE_mas_pnd:12.3e} m^3' )  
+echo ( f'dICE_mas_fzl   = {dICE_mas_fzl:12.3e} m^3' )  
+echo ( f'dICE_mas_wat   = {dICE_mas_wat:12.3e} m^3' ) 
 
 
@@ -576,6 +742,6 @@
 
 for k in np.arange (klevp1-1) :
-    DYN_sigma_beg[k,:] = (DYN_p_beg[k,:] - DYN_p_beg[k+1,:]) / grav
-    DYN_sigma_end[k,:] = (DYN_p_end[k,:] - DYN_p_end[k+1,:]) / grav
+    DYN_sigma_beg[k,:] = (DYN_p_beg[k,:] - DYN_p_beg[k+1,:]) / Grav
+    DYN_sigma_end[k,:] = (DYN_p_end[k,:] - DYN_p_end[k+1,:]) / Grav
 
 DYN_sigma_beg = DYN_sigma_beg.rename ( {'klevp1':'sigs'} )
@@ -769,7 +935,7 @@
 
 echo ('\nLes differents reservoirs')
-echo ( 'SRF_mas_watveg_beg   = {:12.6e} kg | SRF_mas_watveg_end   = {:12.6e} kg '.format (SRF_mas_watveg_beg , SRF_mas_watveg_end) )
-echo ( 'SRF_mas_watsoil_beg  = {:12.6e} kg | SRF_mas_watsoil_end  = {:12.6e} kg '.format (SRF_mas_watsoil_beg, SRF_mas_watsoil_end) )
-echo ( 'SRF_mas_snow_beg     = {:12.6e} kg | SRF_mas_snow_end     = {:12.6e} kg '.format (SRF_mas_snow_beg   , SRF_mas_snow_end) )
+echo ( f'SRF_mas_watveg_beg   = {SRF_mas_watveg_beg :12.6e} kg | SRF_mas_watveg_end   = {SRF_mas_watveg_end :12.6e} kg ' )
+echo ( f'SRF_mas_watsoil_beg  = {SRF_mas_watsoil_beg:12.6e} kg | SRF_mas_watsoil_end  = {SRF_mas_watsoil_end:12.6e} kg ' )
+echo ( f'SRF_mas_snow_beg     = {SRF_mas_snow_beg   :12.6e} kg | SRF_mas_snow_end     = {SRF_mas_snow_end   :12.6e} kg ' )
 
 echo ( 'dMass (watveg)  = {:12.3e} kg | {:12.2e} Sv | {:12.2e} m '.format (dSRF_mas_watveg , dSRF_mas_watveg /dtime_sec*1E-9, dSRF_mas_watveg /OCE_aire_tot*1E-3) )
